diff --git a/database/rrd.c b/database/rrd.c
index 2524b80102bc5..2d91f32910ac9 100644
--- a/database/rrd.c
+++ b/database/rrd.c
@@ -152,7 +152,7 @@ char *rrdset_cache_dir(RRDHOST *host, const char *id, const char *config_section
 // ----------------------------------------------------------------------------
 // Miscellaneous functions
 
-bool_t alarm_entry_isrepeating_by_alarmid(RRDHOST *host, uint32_t alarm_id) {
+bool_t alarm_isrepeating(RRDHOST *host, uint32_t alarm_id) {
     RRDCALC *rc = NULL;
     for(rc = host->alarms; rc; rc = rc->next) {
         if(alarm_id == rc->id) {
@@ -166,5 +166,5 @@ bool_t alarm_entry_isrepeating_by_alarmid(RRDHOST *host, uint32_t alarm_id) {
     return rrdcalc_isrepeating(rc);
 }
 bool_t alarm_entry_isrepeating(RRDHOST *host, ALARM_ENTRY *ae) {
-    return alarm_entry_isrepeating_by_alarmid(host, ae->alarm_id);
+    return alarm_isrepeating(host, ae->alarm_id);
 }
diff --git a/database/rrd.h b/database/rrd.h
index 81f0c1050d61e..c7c93bdc1e1ea 100644
--- a/database/rrd.h
+++ b/database/rrd.h
@@ -863,7 +863,7 @@ extern long align_entries_to_pagesize(RRD_MEMORY_MODE mode, long entries);
 // ----------------------------------------------------------------------------
 // Miscellaneous functions
 
-extern bool_t alarm_entry_isrepeating_by_alarmid(RRDHOST *host, uint32_t alarm_id);
+extern bool_t alarm_isrepeating(RRDHOST *host, uint32_t alarm_id);
 extern bool_t alarm_entry_isrepeating(RRDHOST *host, ALARM_ENTRY *ae);
 
 // ----------------------------------------------------------------------------
diff --git a/health/README.md b/health/README.md
index 44d98959d65df..d7ffab74f2b40 100644
--- a/health/README.md
+++ b/health/README.md
@@ -346,7 +346,7 @@ delay: [[[up U] [down D] multiplier M] max X]
 
 #### Alarm line `repeat`
 
-Defines the interval between repeating notifications for the alarms in CRITICAL or WARNING mode. This will override the default interval settings inherited from health settings in `netdata.conf`. The default settings for repeating notifications are `default repeat warning = [DURATION]` and `default repeat critical = [DURATION]` which can be found in health stock configuration.
+Defines the interval between repeating notifications for the alarms in CRITICAL or WARNING mode. This will override the default interval settings inherited from health settings in `netdata.conf`. The default settings for repeating notifications are `default repeat warning = DURATION` and `default repeat critical = DURATION` which can be found in health stock configuration.
 
 Format:
 
diff --git a/health/health.c b/health/health.c
index 8e7f2274be24f..812f13c16e08c 100644
--- a/health/health.c
+++ b/health/health.c
@@ -269,9 +269,6 @@ static inline void health_alarm_log_process(RRDHOST *host) {
                     health_process_notifications(host, ae);
             }
         }
-        else {
-            error("No alarm entry for a repeaing alarm should be in the alarm log. Alarm id: %u", ae->alarm_id);
-        }
     }
 
     // remember this for the next iteration
@@ -303,9 +300,6 @@ static inline void health_alarm_log_process(RRDHOST *host) {
             health_alarm_log_free_one_nochecks_nounlink(ae);
             host->health_log.count--;
         }
-        else {
-            error("No alarm entry for a repeaing alarm should be in the alarm log. Alarm id: %u", ae->alarm_id);
-        }
 
         ae = t;
     }
diff --git a/health/health_log.c b/health/health_log.c
index 10c4c861dbc1f..c06dc676cd27b 100644
--- a/health/health_log.c
+++ b/health/health_log.c
@@ -201,7 +201,7 @@ inline ssize_t health_alarm_log_read(RRDHOST *host, FILE *fp, const char *filena
                 ae = callocz(1, sizeof(ALARM_ENTRY));
             }
             else if(unlikely(*pointers[0] == 'U')) {
-                if(likely(!alarm_entry_isrepeating_by_alarmid(host, alarm_id))) {
+                if(likely(!alarm_isrepeating(host, alarm_id))) {
                     // find the original
                     for(ae = host->health_log.alarms; ae; ae = ae->next) {
                         if(unlikely(unique_id == ae->unique_id)) {
